IMT
Deprecated. Use GET /credential-requests/apps/{name}/{version}/modules-with-credentials instead. This endpoint continues to work but will be removed in a future release.
Retrieves all modules with credential requirements for a specific app and version.
For each module, this endpoint returns:
Module identification (
id,name,label)Required credential type (e.g.,
account:slack2)OAuth scopes required by the module
Whether the module is a hook-based trigger
Custom/SDK Apps: To query custom (SDK) apps, prefix the app name with app# (URL-encoded as app%23). For example: /imt/apps/app%23my-custom-app/1/modules-with-credentials
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The name of the app. Must start with a lowercase letter, contain only lowercase letters, numbers, and hyphens, and end with a letter or number. Minimum 3 characters (e.g., a-b, abc).
For SDK/custom apps, use the app# prefix (URL-encoded as app%23).
slackPattern: ^(app#)?[a-z][0-9a-z-]+[0-9a-z]$The major version of the app. Use a specific version number (e.g., 1, 2, 4) or latest to get the most recent version.
4Successful response with list of app modules and their credential requirements.
App or package not found.
GET /api/v2/imt/apps/{name}/{version}/modules-with-credentials HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
{
"appModules": [
{
"id": "CreateMessage",
"name": "CreateMessage",
"label": "Send a Message",
"type": "account:slack2,slack3",
"scope": [
"chat:write",
"chat:write.public",
"chat:write.customize",
"channels:read",
"groups:read",
"im:read",
"mpim:read",
"users:read"
],
"hook": false
},
{
"id": "WatchMessages",
"name": "WatchMessages",
"label": "Watch Public Channel Messages",
"type": "account:slack2",
"scope": [
"channels:history",
"channels:read"
],
"hook": false
},
{
"id": "watchInteractivityEvents",
"name": "watchInteractivityEvents",
"label": "Watch Interactive Events",
"type": "account:slack2,slack3",
"scope": [],
"hook": true
}
]
}Last updated

